VPS

List server backups

get/vps/{vps_id}/backups

View all backups for your server including manual and automatic backups with their status and creation dates.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

vps_id*integer
Range1 ≤ value

Query parameters

limit?integer
Default50
offset?integer
Default0

Responses

Successful Response

application/json

backups*array<BackupOut>
Properties (14)
id*integer
vps_id*integer
backup_type*BackupType
Value in"manual""automatic"
backup_volid*string | null
status*BackupStatus
Value in"pending""in_progress""completed""failed""deleted"
progress*integer
Range0 ≤ value ≤ 100
size_gb*number | null
pbs_storage*string | null
started_at*string | null
Formatdate-time
completed_at*string | null
Formatdate-time
error_message*string | null
notes*string | null
created_at*string
Formatdate-time
snapshot_uuid?string | null
total*integer
has_settings*boolean
settings?BackupSettingsOut | null

Backup settings response

Properties (8)
enabled*boolean
schedule_hour*integer

Hour of day to run backups (0-23)

Range0 ≤ value ≤ 23
retention_days*integer

Days to keep backups (max 7 days)

Range1 ≤ value ≤ 7
max_backups*integer

Maximum number of backups to keep

Range1 ≤ value ≤ 10
id?integer | null
vps_id*integer
created_at?string | null
Formatdate-time
updated_at?string | null
Formatdate-time